Name:           ocaml-uuidm
Version:        0.9.3
Release:        %mkrel 1
Summary:        Universally unique identifiers (UUIDs) for OCaml
License:        BSD3
Group:          Development/Other
URL:            http://erratique.ch/software/uuidm
Source0:        http://erratique.ch/software/uuidm/releases/uuidm-%{version}.tbz
BuildRequires:  ocaml-findlib

%description
Uuidm is an OCaml module implementing 128 bits universally unique identifiers 
version 3, 5 (name based with MD5, SHA-1 hashing) and 4 (random based)
according to RFC 4122: http://www.ietf.org/rfc/rfc4122.txt

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n uuidm-%{version}

%build
./build

%install
rm -rf %{buildroot}
INSTALLDIR=%{buildroot}/%{_libdir}/ocaml/uuidm ./build install 

%files
%doc README
%dir %{_libdir}/ocaml/uuidm
%{_libdir}/ocaml/uuidm/META
%{_libdir}/ocaml/uuidm/*.cmi
%{_libdir}/ocaml/uuidm/*.cmo
%{_libdir}/ocaml/uuidm/*.o

%files devel
%doc doc
%{_libdir}/ocaml/uuidm/*.cmx
%{_libdir}/ocaml/uuidm/*.ml
%{_libdir}/ocaml/uuidm/*.mli


%changelog

* Mon Jan 09 2012 blue_prawn <blue_prawn> 0.9.3-1.mga2
+ Revision: 194061
- imported package ocaml-uuidm

